Package alt.java.net

# Interface SocketFactory

All Known Implementing Classes:
  `MockSocketFactory`, `SocketFactoryImpl`

public interface SocketFactory

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String aHost, int aPort)`

## Method Details

### createSocket

Socket createSocket(String aHost, int aPort) throws UnknownHostException, IOException

Throws:
  `UnknownHostException`
  `IOException`